# wiki.bijl.us

Documentation for the different projects and setups on [git.bijl.us](https://git.bijl.us).

To begin go to the [wiki](https://wiki.bijl.us)!



## Prerequisites

Install `mkdocs` through pip:

```
# xbps-install -Sy python3-devel python3-pip
$ pip install mkdocs mkdocs-material
```

This will put an executable in `~/.local/lib/python3.11/site-packages/mkdocs/__main__.py`

I would recommended creating an alias for using it. For example:

```
alias mkdocs="python ~/.local/lib/python3.11/site-packages/mkdocs/__main__.py"
```

## Building

Build the website through:

```
$ mkdocs build
```

And preview it with:

```
$ mkdocs serve
```

This will host the website locally on [http://127.0.0.1:8000/](http://127.0.0.1:8000/).
